Inicio > GNU/Linux, Metasploit, Seguridades > Instalar Metasploit – Framewrok 3.1 kubuntu 8.04

Instalar Metasploit – Framewrok 3.1 kubuntu 8.04

La primera tarea es al de descargar el framework desde su sitio oficial de Metasploit o de la siguiente forma:

$ wget -c http://spool.metasploit.com/releases/framework-3.1.tar.gz

Una vez echo esto procedemos a descomprimirlo asi:

$ tar -xvzf framework-3.1.tar.gz
cd framework-3.1
root@kriuxk:/framework-3.1# ./msfweb
./lib/rex/socket/ssl_tcp_server.rb:4:in `require’: no such file to load — openssl (LoadError)
from ./lib/rex/socket/ssl_tcp_server.rb:4
from ./lib/rex/socket/comm/local.rb:5:in `require’
from ./lib/rex/socket/comm/local.rb:5
from ./lib/rex/socket.rb:22:in `require’
from ./lib/rex/socket.rb:22
from ./lib/rex.rb:71:in `require’
from ./lib/rex.rb:71
from ./lib/msf/core.rb:16:in `require’
from ./lib/msf/core.rb:16
from ./lib/msf/base.rb:19:in `require’
from ./lib/msf/base.rb:19
from ./msfweb:11:in `require’
from ./msfweb:11

Y o sorpresa tenemos un error, pues al hacer un “dpkg -l | grep ssl” me sale lo siguiente

carlos@kriuxk:/media/data/sda3/installs/linux/framework-3.1$ dpkg -l | grep ssl
ii  openssl                                    0.9.8g-4ubuntu3.1
ii  openssl-blacklist                          0.1-0ubuntu0.8.04.4
ii  ssl-cert                                   1.0.14-0ubuntu2.1

Pues tengo instalado el openssl pero al parecer me falta algo más, echando un vistazo al sitio de metasploit leo que esta hecho en ruby también, creo que el problema va por ahi.

# aptitude search ssl
…..
p   libopenssl-ruby                                                – OpenSSL interface for Ruby
p   libopenssl-ruby1.8                                             – OpenSSL interface for Ruby 1.8
p   libopenssl-ruby1.9                                             – OpenSSL interface for Ruby 1.9
…….

al parecer nos falta instalar estas librerias, y procedemos a hacerlo:

$ sudo aptitude install libopenssl-ruby libopenssl-ruby1.8

una vez intsalado probamos otra vez :

root@kriuxk:/framework-3.1# ./msfweb
[*] Starting msfweb v3.1-release on http://127.0.0.1:55555/
=> Booting WEBrick…
=> Rails application started on http://127.0.0.1:55555
=> Ctrl-C to shutdown server; call with –help for options
[2008-06-03 16:30:25] INFO  WEBrick 1.3.1
[2008-06-03 16:30:25] INFO  ruby 1.8.6 (2007-09-24) [i486-linux]
[2008-06-03 16:30:25] INFO  WEBrick::HTTPServer#start: pid=11877 port=55555

Listo pues ha funcionado, espero que les sirva !!! Ahora a ver que se puede hacer, los resultados iran saliendo luego.

  1. Aún no hay comentarios.
  1. No trackbacks yet.

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s

A %d blogueros les gusta esto: